<?
echo "<div class='block event'><center><h1>Восстановление данных</h1></center></div>";
if(isset($_GET['autolog'])){
if(isset($_POST['nick']) && isset($_POST['email']))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0)==0)err_game("<div class='err'><font color='green'><center>Неверный ник или Email</center></font></div>");
else
{

$id_reg=mysql_insert_id();
$subject = "Автологин от ".mysql_result(mysql_query("SELECT `nick` FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0)."";
$regmail = "Здравствуйте, ".mysql_result(mysql_query("SELECT `nick` FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0).".<br />
Ваш автологин (рекомендуем добавить его в закладки):<br />
<a href='http://$_SERVER[HTTP_HOST]/?myfarm&autologin=".mysql_result(mysql_query("SELECT `autologin` FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0)."'>http://$_SERVER[HTTP_HOST]/?myfarm&autologin=".mysql_result(mysql_query("SELECT `autologin` FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0)."</a><br />
Приятной игры!<br />
С уважением, администрация сайта<br />
";
$adds="From: \"password@$_SERVER[HTTP_HOST]\" <password@$_SERVER[HTTP_HOST]>\n";
//$adds = "From: <$set[reg_mail]>\n";
//$adds .= "X-sender: <$set[reg_mail]>\n";
$adds .= "Content-Type: text/html; charset=utf-8\n";
mail(my_esc($_POST['email']),'=?utf-8?B?'.base64_encode($subject).'?=',$regmail,$adds);
msg_game("Автологин отправлен на указанный E-mail");
}
}
echo '
<center>
<div class="content">
<div class="block">
<form method="post">
<ul>
<li>
<label>Ваш ник в игре:<br>
<input type="text" value="" name="nick">
</label>
</li>
<li class="pt">
<label>Ваш E-mail:<br>
<input type="text" value="" name="email">
</label>
</li>
<li class="pt">
<input type="submit" value="Выслать автологин">
</li>
</ul>
</form>
</center>
<div class="content"><div class="block"><div class="xr"></div><font color="violet">P.S. если вы не указывали свой <b>E-mail</b> то восстановление данных возможно только через тех.поддержку!</font><div class="xr"></div></div></div>
';
echo '<div class="block event"><img width="16" height="16" src="img/icons/back.png" alt="o"> <a href="/?pass">В начало</a> | <a href="/">На главную</a> <img width="16" height="16" src="img/icons/right.png" alt="o"></div>';
echo "<div class='block event'>";
echo "<center>© 2o13 <font color='orangered'>$_SERVER[HTTP_HOST]</font></center>";
echo "</div>";
exit;
}

if(isset($_GET['password'])){
if(isset($_POST['submit']))
{
$login=$_POST['nick'];
$email=$_POST['email'];
if(empty($login)){
echo"Введите логин!";
}
elseif(empty($email)){
echo"Введите-email!";
}
else{
$resultat=mysql_query("SELECT COUNT(*) FROM kolhoz_user WHERE nick = '$nick' AND email = '$email'");
$array=mysql_fetch_array($resultat);
if(empty($array)){
echo'Ошибка! Такого пользователя не существует';
}
elseif(mysql_num_rows($resultat)>0){
$chars="qazxswedcvfrtgbnhyujmkiolp1234567890QAZXSWEDCVFRTGBNHYUJMKIOLP";
$max=10;
$size=StrLen($chars)-1;
$password=null;
while($max--){
$password.=$chars[rand(0,$size)];
}
if(isset($_POST['nick']) && isset($_POST['email'])){
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0)==0)err_game("Неверный ник или Email");
else{
$newmdPassword=md5($password);
$title="Новый пароль от ".mysql_result(mysql_query("SELECT `nick` FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0)."";
$letter='Здравствуйте, '.$login.'! 
Вы запросили смену пароля в игре http://VcityNet.ru.
Ваш логин: '.$login.'
Ваш новый пароль: '.$password.' 
С уважением администрация игры «© http://VcityNet.ru »';
if(mail($email, $title, $letter, "Content-type:text/plain;Charset=utf-8\r\n")){
mysql_query("UPDATE kolhoz_user SET password = '$newmdPassword' WHERE nick = '$login' AND email = '$email'");
//echo 'Новый пароль отправлен ваш E-mail.<br>';
msg_game("Новый пароль отправлен ваш E-mail.");

}
}
}
}
}
}
echo "<div class='block'><center>";
echo '<form method="post">Ваш ник в игре<input type="text" size="20" name="nick"><br/>Ваш E-mail:<input type="text" size="20" name="email"><div class="small ptm"></div><input type="submit" value="Выслать новый пароль" name="submit"></form><div class="small ptm"></div></center><div class="xr"></div><font color="violet">P.S. если вы не указывали свой <b>E-mail</b> то восстановление данных возможно только через тех.поддержку!</font></div><div class="xr"></div>';
echo '<div class="block event"><img width="16" height="16" src="img/icons/back.png" alt="o"> <a href="/?pass">В начало</a> | <a href="/">На главную</a> <img width="16" height="16" src="img/icons/right.png" alt="o"></div>';
echo "<div class='block event'>";
echo "<center>© 2o13 <font color='orangered'>$_SERVER[HTTP_HOST]</font></center>";
echo "</div>";
exit;
}
echo "<div class='xr'></div><div class='block'><img src='img/zvezda/1.png' alt='o'> <b><a href='?pass&password'>Выслать новый пароль</a></b><br/><div class='small minor'>Данный способ восстановления вышлет на ваш E-mail (указанный при регистрации) новый пароль от вашего профиля.</div></div><div class='xr'></div>";
echo "<div class='block'><img src='img/zvezda/2.png' alt='o'> <b><a href='?pass&autolog'>Выслать автологин</a></b><br/><div class='small minor'>Данный способ восстановления вышлет на ваш E-mail (указанный при регистрации) ваш автологин, но пароль при этом останется прежним.</div></div><div class='xr'></div>";
echo '<div class="block event"><img width="16" height="16" src="img/icons/back.png" alt="o"> <a href="/">В начало</a></div>';
echo "<div class='block event'>";
echo "<center>© 2o13 <font color='orangered'>$_SERVER[HTTP_HOST]</font></center>";
echo "</div>";
exit;
?>